OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph_block_common.cpp File Reference

defines tables used for decoding HTJ2K blocks More...

`#include <cassert>`
`#include <cstddef>`
`#include <cstring>`
`#include "ojph_block_common.h"`
`#include "table0.h"`
`#include "table1.h"`

Go to the source code of this file.

## Namespaces
namespace | ojph
namespace | ojph::local

## Functions
static bool | ojph::local::vlc_init_tables ()
| Initializes vlc_tbl0 and vlc_tbl1 tables, from table0.h and table1.h.
static bool | ojph::local::uvlc_init_tables ()
| Initializes uvlc_tbl0 and uvlc_tbl1 tables.

## Variables
ui16 | ojph::local::vlc_tbl0 [1024] = { 0 }
| vlc_tbl0 contains decoding information for initial row of quads
ui16 | ojph::local::vlc_tbl1 [1024] = { 0 }
| vlc_tbl1 contains decoding information for non-initial row of quads
ui16 | ojph::local::uvlc_tbl0 [256+64] = { 0 }
| uvlc_tbl0 contains decoding information for initial row of quads
ui16 | ojph::local::uvlc_tbl1 [256] = { 0 }
| uvlc_tbl1 contains decoding information for non-initial row of quads
ui8 | ojph::local::uvlc_bias [256+64] = { 0 }
| uvlc_bias contains decoding info. for initial row of quads
static bool | ojph::local::vlc_tables_initialized = vlc_init_tables()
| Initializes VLC tables vlc_tbl0 and vlc_tbl1.
static bool | ojph::local::uvlc_tables_initialized = uvlc_init_tables()
| Initializes UVLC tables uvlc_tbl0 and uvlc_tbl1.

## Detailed Description

defines tables used for decoding HTJ2K blocks

Definition in file ojph_block_common.cpp.